/****************************************************************************
*RevHead_Start                                                              *
*                                                                           *
* Project Details                                                           *
* ---------------                                                           *
*Project Name:    dcheck                                                    *
*Project Version: 1.1.0                                                     *
*Copyright Owner: David M. Balean <linprogs@balean.net>                     *
*Copyright Notice:                                                          *
* This program is free software; you can redistribute it and/or modify it   *
* under the terms of the GNU General Public License as published by         *
* the Free Software Foundation, either version 3 of the License or,         *
* (at your option) any later version.                                       *
* This program is distributed in the hope that it will be useful,           *
* but WITHOUT ANY WARRANTY; without even the implied warranty of            *
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                      *
* See the GNU General Public License for more details.                      *
* You should have received a copy of the GNU General Public License         *
* along with this program. If not, see <http://www.gnu.org/licenses/>.      *
*                                                                           *
*Project Date:    Wednesday 6th March 2013                                  *
*                                                                           *
*Start DateStamp: 04-Nov-2011 17.42.21 -36000 3600                          *
*                                                                           *
*Contact:                                                                   *
* email: linprogs@balean.net                                                *
* snail: D.M. Balean, 44 Wyong Road, Killarney Vale, N.S.W. 2261, AUSTRALIA *
* URL:   http://balean.net/linprogs/index.html                              *
*                                                                           *
*Project Summary:                                                           *
* Ask for a disk check of the selected filesystems at the next boot         *
* On restart, set them to not be checked until dcheck requests it again     *
* Also adjust  tune2fs for for other filesystems                            *
*                                                                           *
*****************************************************************************
*                                                                           *
*This File:       main.cpp                                                  *
*Author:          David M. Balean <linprogs@balean.net>                     *
*DateStamp:       24-Feb-2013 13.56.19 -36000 3600                          *
*                                                                           *
*File Summary:                                                              *
* The entry point and GUI for dcheck_main                                   *
*                                                                           *
*RevHead_End                                                                *
****************************************************************************/
#include <iostream>
#include <pwd.h>

#include <stdlib.h>

#include "dcheck.h"



// =============================================
// If we get here we are root and X is available
// =============================================

int main(int argc, char *argv[])
{
cout << "Hello World" << endl;

if ( (strcmp( (getpwuid( getuid() ))->pw_name , "root" )) ) // if we are not root
	{
	std::cout << "You MUST be the root user for this!\nGoodbye World" << endl;
	exit(EXIT_FAILURE);
	}
Dcheck dcheck;
dcheck.dcheck_gui(argc, argv);
	
return 0;
}